<layout>

    <data>

        <import type="android.view.View" />

        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.accettazione_ordini_picking.AccettazioneOrdiniPickingActivity" />

    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:fab="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="top"
        android:background="@color/full_white"
        android:fitsSystemWindows="false">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

            <!-- Main Content -->

            <androidx.coordinatorlayout.widget.CoordinatorLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <com.google.android.material.appbar.AppBarLayout
                    android:id="@+id/appbar"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/full_white"
                    android:minHeight="?attr/actionBarSize">

                    <androidx.appcompat.widget.Toolbar
                        android:id="@+id/toolbar"
                        style="@style/AppTheme.NewMaterial.Text"
                        android:layout_width="match_parent"
                        android:layout_height="?attr/actionBarSize"
                        app:layout_collapseMode="pin" />


                    <HorizontalScrollView
                        android:id="@+id/filter_chips"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:scrollbars="none">

                        <com.google.android.material.chip.ChipGroup
                            android:id="@+id/filter_chips_group"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingStart="8dp"
                            android:paddingEnd="8dp"
                            app:chipSpacing="8dp"
                            app:singleSelection="true" />
                    </HorizontalScrollView>

                </com.google.android.material.appbar.AppBarLayout>


                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/accettazione_picking_list"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:clipToPadding="false"
                    android:paddingBottom="72dp"
                    android:scrollbars="vertical"
                    app:layout_behavior="@string/appbar_scrolling_view_behavior" />


                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/accettazione_empty_view"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:alpha="0.3"
                    app:visibility="@{view.noItemsToPick}">

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/guideline_empty_top"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        app:layout_constraintGuide_percent="0.2" />

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/guideline_empty_left"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        app:layout_constraintGuide_percent="0.15" />

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/guideline_empty_right"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        app:layout_constraintGuide_percent="0.85" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:gravity="center_horizontal"
                        android:orientation="vertical"
                        app:layout_constraintEnd_toStartOf="@id/guideline_empty_right"
                        app:layout_constraintStart_toEndOf="@id/guideline_empty_left"
                        app:layout_constraintTop_toTopOf="@id/guideline_empty_top">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="72dp"
                            android:layout_height="wrap_content"
                            android:adjustViewBounds="true"
                            android:src="@drawable/ic_playlist_add_check_24dp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_horizontal"
                            android:text="@string/no_item_to_pick_text"
                            android:textColor="@android:color/black"
                            android:textSize="18sp" />
                    </LinearLayout>

                </androidx.constraintlayout.widget.ConstraintLayout>



                <com.google.android.material.floatingactionbutton.FloatingActionButton
                    android:id="@+id/accettazione_ordine_inevaso_fab"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom|end"
                    android:layout_margin="16dp"
                    android:onClick="@{() -> view.showFabMenu()}"
                    app:srcCompat="@drawable/ic_add_24dp"
                    app:visibility="@{view.noLUPresent}"
                    style="?attr/floatingActionButtonPrimaryStyle" />

            </androidx.coordinatorlayout.widget.CoordinatorLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <View
            android:id="@+id/bottom_sheet__background"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#99000000"
            android:clickable="true"
            android:focusable="true"
            android:visibility="gone" />

        <it.integry.integrywmsnative.view.bottom_sheet__lu_content.BottomSheetFragmentLUContentView
            android:id="@+id/bottom_sheet_lu_content"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:behavior_hideable="false"
            app:behavior_peekHeight="66dp"
            app:layout_behavior="com.google.android.material.bottomsheet.BottomSheetBehavior"
            app:visibility="@{view.bottomSheetEnabled}"
            app:parentView="@id/bottom_sheet_lu_content" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>